Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.getcoverage
Class DomainSubset

    java.lang.Object
      org.deegree.ogcwebservices.wcs.getcoverage.DomainSubset

    public class DomainSubset

extends Object

Version:
  $Revision: 18195 $
Author:
  Andreas Poth, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Constructor Summary
`DomainSubset(Code requestSRS, SpatialSubset spatialSubset)`
`DomainSubset(Code requestSRS, SpatialSubset spatialSubset, TimeSequence temporalSubset)`
`DomainSubset(Code requestSRS, TimeSequence temporalSubset)`

Method Summary
`Code` | `getRequestSRS()`
`SpatialSubset` | `getSpatialSubset()`
`TimeSequence` | `getTemporalSubset()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainSubset

    public DomainSubset(Code requestSRS,
                        SpatialSubset spatialSubset)
                 throws WCSException

Parameters:
  `requestSRS` -
  `spatialSubset` -
Throws:
  `WCSException`

### DomainSubset

    public DomainSubset(Code requestSRS,
                        TimeSequence temporalSubset)
                 throws WCSException

Parameters:
  `requestSRS` -
  `temporalSubset` -
Throws:
  `WCSException`

### DomainSubset

    public DomainSubset(Code requestSRS,
                        SpatialSubset spatialSubset,
                        TimeSequence temporalSubset)
                 throws WCSException

Parameters:
  `requestSRS` -
  `spatialSubset` -
  `temporalSubset` -
Throws:
  `WCSException` - if one of the parameters is null

Method Detail

### getSpatialSubset

    public SpatialSubset getSpatialSubset()

  Returns:
    Returns the spatialSubset.

### getTemporalSubset

    public TimeSequence getTemporalSubset()

  Returns:
    Returns the temporalSubset.

### getRequestSRS

    public Code getRequestSRS()

  Returns:
    Returns the requestSRS.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org